<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
	<title th:text="#{userAdmin.title}"></title>

	<object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main">

	<div th:replace="fragments/phase_banner :: phase_banner">...</div>
	<div th:replace="fragments/service_header :: logout_only">...</div>

	<div class="grid-row">
		<div class="column-two-thirds">

			<form th:action="@{/create-admin-user}" method="post" class="form" novalidate="novalidate" id="create-multi-eas-form"  th:object="${adminUser}">

				<div class="error-summary" th:if="${#fields.hasAnyErrors()}" id="new-admin-employer-user-error-message" role="group" aria-labelledby="new-admin-employer-user-error-heading" tabindex="-1">
					<h1 id="admin-error-message-heading" class="heading-medium error-summary-heading">Some questions have not been answered correctly:</h1>
					<p th:text="#{errorSummary2}"  id="error-message-text">Please see the errors below.</p>
					<ul class="error-summary-list">
						<li th:if="${#fields.hasErrors('email')}"><a href="#employer-email-label" th:errors="*{email}"  id="new-admin-employer-user-list1">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('firstPassword')}"><a href="#employer-password-label"  th:errors="*{firstPassword}" id="new-admin-employer-user-list2">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('firstName')}"><a href="#employer-firstName-label"  th:errors="*{firstName}" id="new-admin-employer-user-list3">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('lastName')}"><a href="#employer-lastName-label"  th:errors="*{lastName}" id="new-admin-employer-user-list4">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('contactTelephone')}"><a href="#employer-contact-label"  th:errors="*{contactTelephone}" id="new-admin-employer-user-list5">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('organisationName')}"><a href="#employer-orgName-label"  th:errors="*{organisationName}" id="new-admin-employer-user-list6">Descriptive link to the question with an error</a></li>
					</ul>
				</div>

				<div class="heading-group">
					<p th:text="#{serviceHeader}" id="admin-service-name-text">Make payments to the NHS Pension Scheme</p>
					<h1 class="heading-large" id="main-heading" th:text="#{userAdmin.heading}">Create Multi EA Admin Employer Account</h1>
				</div>

				<fieldset>
					<legend class="visuallyhidden">User Details</legend>

					<div class="form-group" th:classappend="${#fields.hasErrors('email')} ? error : no-error">
					<label for="employer-email" id="employer-email-label">
						<span class="form-label-bold" th:text="#{createAdminEmployer.Email}">Email address</span>
						<span th:if="${#fields.hasErrors('email')}"  th:errors="*{email}" class="error-message" id="error-message-employer-email"></span>
					</label>
					<input type="email" id="employer-email" value="" name="employer-email" class="form-control validate-text-input" required=""  th:field="*{email}" th:classappend="${#fields.hasErrors('email')} ? form-control-error" />
					</div>

					<div class="form-group" th:classappend="${#fields.hasErrors('firstPassword')} ? error : no-error">
						<label for="employer-password" id="employer-password-label">
							<span class="form-label-bold" th:text="#{createAdminEmployer.FirstPassword}">First Password</span>
							<span th:if="${#fields.hasErrors('firstPassword')}" th:errors="*{firstPassword}" class="error-message" id="error-message-password"></span>
						</label>
						<input type="password" id="employer-password" value="" name="employer-password" class="form-control validate-text-input" required="" th:field="*{firstPassword}"  th:classappend="${#fields.hasErrors('firstPassword')} ? form-control-error" />
					</div>

					<div class="form-group" th:classappend="${#fields.hasErrors('firstName')} ? error : no-error">
						<label for="employer-firstName" id="employer-firstName-label">
							<span class="form-label-bold" th:text="#{userAdmin.firstName}">First Name</span>
							<span th:if="${#fields.hasErrors('firstName')}"  th:errors="*{firstName}" class="error-message" id="error-message-employer-firstName">Please enter a valid name</span>
						</label>
						<input type="email" id="employer-firstName" value="" name="employer-firstName" class="form-control validate-text-input" required=""  th:field="*{firstName}" th:classappend="${#fields.hasErrors('firstName')} ? form-control-error" />
					</div>

					<div class="form-group" th:classappend="${#fields.hasErrors('lastName')} ? error : no-error">
						<label for="employer-lastName" id="employer-lastName-label">
							<span class="form-label-bold" th:text="#{userAdmin.lastName}">Last Name</span>
							<span th:if="${#fields.hasErrors('lastName')}"  th:errors="*{lastName}" class="error-message" id="error-message-employer-lastName">Please enter a valid name</span>
						</label>
						<input type="email" id="employer-lastName" value="" name="employer-lastName" class="form-control validate-text-input" required=""  th:field="*{lastName}" th:classappend="${#fields.hasErrors('lastName')} ? form-control-error" />
					</div>

					<div class="form-group" th:classappend="${#fields.hasErrors('contactTelephone')} ? error : no-error">
						<label for="employer-telephone" id="employer-telephone-label">
							<span class="form-label-bold" th:text="#{createAdminEmployer.Telephone}">Telephone</span>
							<span th:if="${#fields.hasErrors('contactTelephone')}"  th:errors="*{contactTelephone}" class="error-message" id="error-message-employer-telephone">Please enter a valid phone number</span>
						</label>
						<input type="email" id="employer-telephone" value="" name="employer-telephone" class="form-control validate-text-input" required=""  th:field="*{contactTelephone}" th:classappend="${#fields.hasErrors('contactTelephone')} ? form-control-error" />
					</div>

				</fieldset>

				<fieldset>
					<legend class="visuallyhidden">Organisation Details</legend>

					<div class="form-group" th:classappend="${#fields.hasErrors('organisationName')} ? error : no-error">
						<label for="employer-orgName" id="employer-orgName-label">
							<span class="form-label-bold" th:text="#{userAdmin.organisation}">Organisation Name (EA Group Name)</span>
							<span th:if="${#fields.hasErrors('organisationName')}"  th:errors="*{organisationName}" class="error-message" id="error-message-employer-orgName">Please enter a valid account name</span>
						</label>
						<input type="text" id="employer-orgName" value="" name="employer-orgName" class="form-control validate-text-input" required=""  th:field="*{organisationName}" th:classappend="${#fields.hasErrors('organisationName')} ? form-control-error" />
					</div>
				</fieldset>

				<div class="error-message" th:if="${userExists}"><p  id="user-exists-message" th:text="#{createAdminEmployer.UserAlreadyExists}" >This user is already registered</p></div>
				<div class="error-message" th:if="${orgExists}"><p  id="org-exists-message" th:text="#{userAdmin.orgExists}" >This Organisation already exists</p></div>

				<div class="form-group" id="add-user-submit-button">
					<button type="submit" class="button" th:text="#{continue}" id="add-user-button">Continue</button>
				</div>
			</form>

		</div>
	</div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>

</body>
</html>
